#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'doc.penawaran_peserta'}
#{/set}

<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{BerandaCtr.nonLelang()}" >&{'doc.penawaran_peserta'}</a></li>
    <li class="active"><a href="@{nonlelang.PengadaanLCtr.view(pl?.lls_id)}">&{'doc.info_paket'}</a></li>
    <li class="active">&{'doc.surat_penawaran_pesera'}</li>
</ol>

#{tabmenuPenawaranPL pl.lls_id, hasSubmittedLetter:peserta?.hasSubmittedOfferingLetter()/}

<div class="content">
    #{alert /}

    #{form @nonlelang.DokumenPlCtr.submitSuratPenawaran(), id:'formSuratPenawaran', method:'POST'}

        Status :
        #{if peserta?.hasSubmittedOfferingLetter()}
            <span class="badge  badge-success">Sudah Setuju</span>
        #{/if}
        #{else}
            <span class="badge  badge-secondary">Belum Setuju</span>
        #{/else}
        <h3>${peserta?.rekanan?.rkn_nama}</h3>
        <p>
            Kepada Yth.:<br/>
            Pejabat Pengadaan pada ${namaLpse}<br/>
            di <br/>
            ${alamatLpse}
        </p>
        <p class="perihal">
            Perihal: Penawaran Pekerjaan ${pl?.getNamaPaket()}
        </p>
        <p>
            Sehubungan dengan undangan Pengadaan Langsung<!-- nomor:${nomorUndanganPl}
            tanggal ${tanggalPl}-->, dengan ini kami mengajukan penawaran untuk pengadaan
            <b>${pl?.getNamaPaket()}</b> sebesar
            Rp. ${jumlahPenawaran} (${jumlahPenawaranKata})
        </p>
        <p>
            Penawaran ini sudah memperhatikan ketentuan dan persyaratan
            yang tercantum dalam Dokumen Pengadaan Langsung untuk
            melaksanakan pekerjaan tersebut di atas.
        </p>

        <p>

            Kami akan melaksanakan pekerjaan tersebut dengan
            jangka waktu pelaksanaan pekerjaan selama
            <input name="peserta.lama_pekerjaan" id="lama-pekerjaan"
                   value="${peserta?.lama_pekerjaan == null ? 0 : peserta?.lama_pekerjaan}" style="width:50px;" />
            (${lamaPekerjaanTerbilang}) hari kalender.
        </p>

        <p>
            Penawaran ini berlaku selama
            <input name="peserta.masa_berlaku_penawaran" id="masa-berlaku"
                   value="${peserta?.masa_berlaku_penawaran == null ? ldpcontent?.masa_berlaku_penawaran : peserta?.masa_berlaku_penawaran}" style="width:50px;" />
            hari kalender sejak tanggal surat penawaran ini.
        </p>

        <p>
            Surat Penawaran beserta lampirannya kami
            sampaikan sebanyak 1 (satu) rangkap dokumen asli.
        </p>

        <p>
            Dengan disampaikannya Surat Penawaran ini,
            maka kami menyatakan sanggup dan akan tunduk pada
            semua ketentuan yang tercantum dalam Dokumen Pengadaan Langsung.
        </p>


        <div>
            <input type="submit" id="setuju" class="btn btn-secondary" value="Setuju">
        </div>

    <input type="hidden" name="peserta.lls_id"
           value="${peserta?.lls_id}"/>

    <input type="hidden" name="peserta.psr_id"
           value="${peserta?.psr_id}"/>
    #{/form}

</div>

#{set 'css_custom' }
    #{if editable}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
    #{/if}
<link href="#{assets '/handsontable/handsontable.full.min.css'/}" rel="stylesheet" type="text/css">
#{/set}


#{set 'custom_script'}
    #{if editable}
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
    #{/if}
    <script type="text/javascript">

        $(document).ready(function() {
            var masa_berlaku = '${peserta.masa_berlaku_penawaran}';
            if (masa_berlaku != null && masa_berlaku != '')
                $('#setuju').hide();
        });

        $('#masa-berlaku').on('keyup',function() {
            var masa_berlaku = '${peserta.masa_berlaku_penawaran}';
            var value = $(this).val();

            if(masa_berlaku != null){
                if(value == masa_berlaku)
                    $('#setuju').hide();
                else
                    $('#setuju').show();
            }
        });
    </script>
#{/set}


